curl --request POST \
--url https://compute.{region}.basaltic.sh/v1/instances/{instance_id}/volumes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"volume": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"device": "vdb",
"mount_path": "/data",
"fstype": "ext4"
}
'import requests
url = "https://compute.{region}.basaltic.sh/v1/instances/{instance_id}/volumes"
payload = {
"volume": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"device": "vdb",
"mount_path": "/data",
"fstype": "ext4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
volume: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
device: 'vdb',
mount_path: '/data',
fstype: 'ext4'
})
};
fetch('https://compute.{region}.basaltic.sh/v1/instances/{instance_id}/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment": {
"instance_id": "019f24a8-4bbe-7441-93af-6bbac0413943",
"volume_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"device": "vdb"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Adjuntar un volumen de datos a una instancia
Adjunte un volumen de almacenamiento existente y disponible a la instancia y registre el cambio para que el host conecte el disco en caliente a la instancia en ejecución. El volumen debe estar en la misma cuenta y en estado available.
compute:AttachVolume. Consulte permisos de computación para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Parámetros de ruta
ID de instancia
Cuerpo
Referencia de volumen de ámbito de cuenta (UUID, CRN o nombre exacto).
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
Opcional: sobrescribir el nombre del dispositivo; selecciona automáticamente la siguiente ranura libre (vdb/vdc/…) cuando se omite.
"vdb"
Cuando se establece, el agente invitado formatea el disco (solo si está en blanco) y lo monta en esta ruta. Empty solo conecta el dispositivo de bloque.
"/data"
Sistema de archivos con el que el agente invitado formatea el disco, y solo cuando se establece mount_path y el disco está en blanco. Se rechaza con 400 si no es ningún valor.
ext4, xfs Respuesta
Adjunto aceptado
Show child attributes
Show child attributes

